curl --location 'https://treasury.uat.fomoapis.com/v1/beneficiary-creation-intents' \
--header 'x-fomo-api-version: v20260326' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"country_code": "SG",
"name": "John Doe",
"address": {
"department": null,
"sub_department": null,
"street_name": "West Avenue 2",
"building_number": null,
"building_name": null,
"floor": null,
"post_box": null,
"room": null,
"post_code": "675762",
"town_name": "Singapore",
"town_location_name": null,
"district_name": null,
"country_sub_division": "SG",
"country": "SG"
},
"type": "individual",
"supplementary_information": {
"automated_clearing_house": null
}
}'{
"id": "019fdbc2-cf40-7a00-881d-ee93536583a8",
"create_time": "2026-08-07T10:26:45.253819+00:00",
"update_time": "2026-08-07T10:26:45.253819+00:00",
"token": "AZ_bws9AegCIHe6TU2WDqA",
"etag": "\"AZ_bws9AegCIHe6TU2WDqAAAAAAAAAAA\"",
"life_cycle": "pending-requirements",
"result": "pending",
"fail_reason": null,
"customer_id": "725040eb-ed2c-4926-967c-39c8769eb622",
"country_code": "SG",
"name": "John Doe",
"address": {
"department": null,
"sub_department": null,
"street_name": "West Avenue 2",
"building_number": null,
"building_name": null,
"floor": null,
"post_box": null,
"room": null,
"post_code": "675762",
"town_name": "Singapore",
"town_location_name": null,
"district_name": null,
"country_sub_division": "SG",
"country": "SG"
},
"type": "individual",
"requirements": [],
"submitted_requirements": [],
"confirm_time": null,
"approve_time": null,
"complete_time": null,
"beneficiary_id": null,
"supplementary_information": {
"automated_clearing_house": null
},
"supporting_information": []
}